Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DatePublished Class Reference

Content locator gateway implementation using the DoctrineDatabase. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DatePublished:

## Public Member Functions
| accept (SortClause $sortClause)
| Check if this sort clause handler accepts to handle the given sort clause. More...
| applySelect (SelectQuery $query, SortClause $sortClause, $number)
| Apply selects to the query. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler
| __construct (DatabaseHandler $dbHandler)
| Creates a new sort clause handler. More...
| applyJoin (SelectQuery $query, SortClause $sortClause, $number, array $languageSettings)
| Applies joins to the query. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler
| getSortColumnName ($number)
| Returns the quoted sort column name. More...
| getSortTableName ($number, $externalTableName=null)
| Returns the sort table name. More...
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler
| $dbHandler

## Detailed Description

Content locator gateway implementation using the DoctrineDatabase.

Definition at line 16 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/DatePublished.php.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DatePublished::accept | ( | SortClause | $sortClause | ) |

Check if this sort clause handler accepts to handle the given sort clause.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler.

Definition at line 25 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/DatePublished.php.

## ◆ applySelect()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DatePublished::applySelect | ( | SelectQuery | $query,
|  | SortClause | $sortClause,
|  |  | $number
| ) |  |

Apply selects to the query.

Returns the name of the (aliased) column, which information should be used for sorting.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |
  int | $number |

Returns
  string

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler.

Definition at line 42 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/DatePublished.php.

References eZ\Publish\Core\Persistence\Database\SelectQuery\alias(), and eZ\Publish\Core\Persistence\Database\SelectQuery\select().

The documentation for this class was generated from the following file:

- Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/DatePublished.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.